Info.Workflow
Keywords: net.corda.core.cordapp.Cordapp.Info.Workflow class
Date: 2023-09-18

net.corda.core.cordapp

## Class Info.Workflow

- net.corda.core.cordapp.Cordapp.Info.Workflow

- Enclosing interface:
    Cordapp.Info

      public static class Info.Workflow

  A workflow CorDapp contains flows and services used to implement business transactions using contracts and states persisted to the immutable ledger

- - ### Constructor Detail

    - #### Workflow

          public Workflow(@NotNull
                          java.lang.String shortName,
                          @NotNull
                          java.lang.String vendor,
                          int versionId,
                          @NotNull
                          java.lang.String licence)

      A workflow CorDapp contains flows and services used to implement business transactions using contracts and states persisted to the immutable ledger

      Parameters:
        `shortName` - Cordapp's name
        `vendor` - Cordapp's vendor
        `versionId` - integer version of the CorDapp. `version` is the toString of this.

  - ### Method Detail

    - #### getVersion

          @NotNull
          public java.lang.String getVersion()

      Cordapp's version

    - #### toString

          @NotNull
          public java.lang.String toString()

    - #### hasUnknownFields

          public boolean hasUnknownFields()

    - #### getShortName

          @NotNull
          public java.lang.String getShortName()

      Cordapp

      's name

    - #### getVendor

          @NotNull
          public java.lang.String getVendor()

      Cordapp

      's vendor

    - #### getVersionId

          public int getVersionId()

      integer version of the CorDapp.

      `version` is the toString of this.

      See Also:
        `version`

    - #### getLicence

          @NotNull
          public java.lang.String getLicence()

    - #### component1

          @NotNull
          public java.lang.String component1()

      Cordapp

      's name

    - #### component2

          @NotNull
          public java.lang.String component2()

      Cordapp

      's vendor

    - #### component3

          public int component3()

      integer version of the CorDapp.

      `version` is the toString of this.

      See Also:
        `version`

    - #### component4

          @NotNull
          public java.lang.String component4()

    - #### copy

          @NotNull
          public net.corda.core.cordapp.Cordapp.Info.Workflow copy(@NotNull
                                                                            java.lang.String shortName,
                                                                            @NotNull
                                                                            java.lang.String vendor,
                                                                            int versionId,
                                                                            @NotNull
                                                                            java.lang.String licence)

      A workflow CorDapp contains flows and services used to implement business transactions using contracts and states persisted to the immutable ledger

    - #### hashCode

          public int hashCode()

      A workflow CorDapp contains flows and services used to implement business transactions using contracts and states persisted to the immutable ledger

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      A workflow CorDapp contains flows and services used to implement business transactions using contracts and states persisted to the immutable ledger